Subject: RE: gettimeofday function, and crypt
From: [email-masked] (Sven Dietrich)

15 Mar 1998 01:54:33 -0800
Message-ID: <[email-masked]>
To: [email-masked], Geoffrey Noer <[email-masked]>
Cc: [email-masked]

i have used gettimeofday; it works fine, whether in the headers or not.

Settimeofday is broken however, as well as I can discern without
hammering out the details.

The third is adjtime, which appears to be entirely omitted, but that's
fine, since SetSystemTimeAdjustment seems to at least have a pulse...

I am still messing around with an NTP port for Cygwin, but haven't
really had time to step into the details of what exactly is going
on with these calls.

S.

/*
 * Sven-Thorsten Dietrich
 * Software Component & Timing Solutions 
 * 
 * (408) 481-7289 (Voice)                  
 * (408) 481-2011 (Fax)
 */

> ----------
> From: 	Geoffrey Noer[SMTP:[email-masked]]
> Sent: 	Wednesday, March 11, 1998 6:05 PM
> To: 	[email-masked]
> Cc: 	[email-masked]
> Subject: 	Re: gettimeofday function, and crypt
> 
> David Skidmore wrote:
> > 
> > I am running B19 under Win95( I know, but my parents would be
> completely
> > mistified about Linux...) Anyway, I have code that makes calls to
> the UNIX
> > gettimeofday function, but when I compile it, it says it's an
> implicit
> > definition, or whatever.  Is there a seperate header that I need to
> > include to do this?
> 
> Looks like gettimeofday isn't in the headers.  It should be.  It is
> implemented and exported in b19 cygwin.dll.
> 
> > Also, why no crypt() support?  I thought it was in an
> > earlier version...
> 
> There used to be a crypt stub that didn't do anything that just
> returned successfully.  This seemed like a very bad idea so we removed
> it in the latest release.  You'll have to provide your own crypt()...
> 
> -- 
> Geoffrey Noer
> [email-masked]
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".